package com.simonstl.fragment;
/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

The Original Code is available at  http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions  created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved. 

Contributor(s): 
*/

/**
* The Element class stores information about elements (and perhaps someday attributes)
* in a format that supports namespaces, allows the preservation of prefix information,
* and supports matching on namespace URIs and localNames.
*
* I may eventually add support for attributes, and also for wildcard matching on nsURI
* and/or localName.
*
* @version 0.01 21 June 2001
* @author Simon St.Laurent
*/

public class Element {
    public String nsURI;
    public String localName;
    public String prefix;

public Element (String newNsURI, String newLocalName) {
    nsURI=newNsURI;
    localName=newLocalName;
    prefix="";
}

public Element (String newNsURI, String newLocalName, String newPrefix) {
    nsURI=newNsURI;
    localName=newLocalName;
    prefix=newPrefix;
}

public boolean matchElement (String match) {
    return (match.equals(nsURI+">"+localName));
}

public void print() {
System.out.println("result: "+prefix+"("+nsURI+"):"+localName);
}

public String toString() {
   return (prefix+"("+nsURI+"):"+localName);
}

}