package com.simonstl.fragment;

import java.util.*;

/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

The Original Code is available at  http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions  created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved. 

Contributor(s): 
*/

/**
* This class stores a set of rules in a HashMap.  The namespaceURI and localName
* are combined to provide a key value.  This may eventually be extended to support
* attribute possibilities.
*
* @version 0.01 21 June 2001
* @author Simon St.Laurent
*/

public class FragmentRules {

HashMap rules;

public FragmentRules(){
   rules=new HashMap();
}

public void addRule(Element newElement, FragmentRule rule) {

  String key=newElement.nsURI+">"+newElement.localName;
  rules.put(key, rule);
//int size=rules.size();
//System.out.println("size: " +size);
}

public boolean isRule(String nsURI, String localName) {
  String key=nsURI+">"+localName;
  return rules.containsKey(key);
}

public void removeRule(Element newElement) {
  String key=newElement.nsURI+">"+newElement.localName;
  rules.remove(key);
}

public FragmentRule getRule(String nsURI, String localName) {
  String key=nsURI+">"+localName;
  FragmentRule test= (FragmentRule) rules.get(key);
  return test;
}


}